/* Lua/ysdl "main"
 *
 * Written by Sean Bolton. This example is in the public domain.
 */

#include "lua.h"
#include "lualib.h" 
#include "lauxlib.h" 

#include "SDL/SDL.h"

/* ---- stuff that should be in ysdl.h ---- */

LUALIB_API int luaopen_ysdl (lua_State *L);

/* ---- ----- ---- ------ -- -- ------ ---- */

int
main (int argc, char *argv[])
{
    if (argc != 2) {
	fprintf (stderr, "usage: ysdl <ysdl-lua-script>\n");
	exit (1);
    }

    /* initialize Lua */ 
    lua_State *L = lua_open();
    luaL_openlibs(L);
    luaopen_ysdl(L);

    /* run the script */
    if (luaL_dofile(L, argv[1])) {
        const char *error = lua_tostring(L, -1);
        fprintf(stderr, "failed to load/run lua script '%s': %s\n", argv[1], error);
    }

    /* cleanup Lua */ 
    lua_close(L); 

    return 0;
}

